@import '../colors';

.user {
  display: flex;
  width: 100%;

  .name {
    width: 100px;
  }

  .email {
    width: 200px;
  }

  .roles {
    flex: 1;

    .role {
      min-width: 120px;
    }
  }

  .status {
    flex: 0.6;
    .state {
      color: @white;
      padding: 5px;
      border-radius: 5px;
    }

    .state.enabled {
      background-color: @green;
    }

    .state.pending {
      background-color: @blue;
    }

    .state.expired {
      background-color: @red;
    }
  }

  .access_key_id {
    flex: 0.6;
  }
}
